### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.webdav

# Class PropertyName

java.lang.Object
com.sas.services.webdav.PropertyName

@SASScope("ALL") @BinaryCompatibilityOnly public class PropertyName extends Object
This class represents a qualified property name. A name consists of three parts, the local name, the prefix and the name space. This corresponds to the information in an XML element that represents the property's name.

e.g. <ns0:PreferredColour xmlns:ns0="http://some.namespace"/> would result in a local name of "PreferredColour", a prefix of "ns0" and a name space of "http://some.namespace". Although, in general, the prefix can be generated automatically, it is assumed that this process has already occurred and the prefix is valid part of the property name.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyName`
  `DAV_ACL_PN`
  `static final PropertyName`
  `DAV_RESOURCETYPE_PN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyName(String name)`
  Construct a PropertyName from a string representing the property name.
  `PropertyName(String localName, String prefix, String namespaceURI)`
  Construct a PropertyName from the three independent parts, a local name, a prefix and a namespace.
  `PropertyName(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)`
  Constructs a `PropertyName` from a `DavProperty`.
  `PropertyName(Element propElement)`
  Construct a PropertyName from an XML element that represents the property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getLocalName()`
  Get the local name of the property.
  `String`
  `getNamespaceURI()`
  Get the name space associated with the property name.
  `String`
  `getPrefix()`
  Get the prefix defined for the property.
  `String`
  `toPropertyNameString()`
  Gets a `{NAMESPACEURI}LOCALNAME` or `{}LOCALNAME` string representation of the property's name.
  `String`
  `toString()`
  Convert the property name to an XML string representing the property name element using the format `<prefix:localname xmlns:prefix="namespaceuri"/>.`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DAV_RESOURCETYPE_PN

    public static final PropertyName DAV_RESOURCETYPE_PN

  - ### DAV_ACL_PN

    public static final PropertyName DAV_ACL_PN

- ## Constructor Details

  - ### PropertyName

    public PropertyName(org.apache.jackrabbit.webdav.property.DavProperty<?> davProperty)
    Constructs a `PropertyName` from a `DavProperty`. Extract the relevant information for the name of the property from the object that represents the property.
    Parameters:
      `davProperty` - DAV property.
    Since:
      9.4m8

  - ### PropertyName

    public PropertyName(String localName, String prefix, String namespaceURI)
    Construct a PropertyName from the three independent parts, a local name, a prefix and a namespace.
    Parameters:
      `localName` - A string representing the local name of the property
      `prefix` - A string representing the prefix for the property name
      `namespaceURI` - A string representing a valid namespace URI.

  - ### PropertyName

    public PropertyName(Element propElement)
    Construct a PropertyName from an XML element that represents the property.
    Parameters:
      `propElement` - An XML property element

  - ### PropertyName

    public PropertyName(String name)
    Construct a PropertyName from a string representing the property name. The string might have an embedded namespace - in this case the string has the format "{namespace}localname" and a prefix is generated for the PropertyName.
    Parameters:
      `name` - A string representation of the property name.

- ## Method Details

  - ### getLocalName

    public String getLocalName()
    Get the local name of the property.
    Returns:
      The local name of the property

  - ### getPrefix

    public String getPrefix()
    Get the prefix defined for the property.
    Returns:
      String The prefix defined for the property

  - ### getNamespaceURI

    public String getNamespaceURI()
    Get the name space associated with the property name.
    Returns:
      The name space associated with the property

  - ### toString

    public String toString()
    Convert the property name to an XML string representing the property name element using the format `<prefix:localname xmlns:prefix="namespaceuri"/>.`
    Overrides:
      `toString` in class `Object`
    Returns:
      String XML representation of the property name element

  - ### toPropertyNameString

    public String toPropertyNameString()
    Gets a `{NAMESPACEURI}LOCALNAME` or `{}LOCALNAME` string representation of the property's name.
    Returns:
      String representation of the property's name ( `{NAMESPACEURI}LOCALNAME` or `{}LOCALNAME` if there is no name space).
    Since:
      9.4m8